<!doctype html>
<html dir="ltr" lang="en">
<head>
<!-- If you change the title, make sure you also update
chrome/test/functional/special_tabs.py. -->
<meta charset="utf-8">
<title>Sync Internals</title>
<link rel="stylesheet" href="chrome://resources/css/text_defaults.css">
<link rel="stylesheet" href="chrome://resources/css/list.css">
<link rel="stylesheet" href="chrome://resources/css/tabs.css">
<link rel="stylesheet" href="chrome://resources/css/tree.css">
<link rel="stylesheet" href="about.css">
<link rel="stylesheet" href="events.css">
<link rel="stylesheet" href="sync_search.css">
<link rel="stylesheet" href="sync_node_browser.css">
<link rel="stylesheet" href="traffic_log.css">
<link rel="stylesheet" href="invalidations.css">

<if expr="is_ios">
<!-- TODO(crbug.com/487000): Remove this once injected by web. -->
<script src="chrome://resources/js/ios/web_ui.js"></script>
</if>

<script src="chrome://resources/js/event_tracker.js"></script>
<script src="chrome://resources/js/cr.js"></script>
<script src="chrome://resources/js/cr/event_target.js"></script>
<script src="chrome://resources/js/cr/ui.js"></script>
<script src="chrome://resources/js/cr/ui/focus_outline_manager.js"></script>
<script src="chrome://resources/js/cr/ui/splitter.js"></script>
<script src="chrome://resources/js/load_time_data.js"></script>

<!-- List stuff. -->
<script src="chrome://resources/js/assert.js"></script>
<script src="chrome://resources/js/cr/ui/array_data_model.js"></script>
<script src="chrome://resources/js/cr/ui/list_item.js"></script>
<script src="chrome://resources/js/cr/ui/list_selection_controller.js"></script>
<script src="chrome://resources/js/cr/ui/list_selection_model.js"></script>
<script src="chrome://resources/js/cr/ui/list.js"></script>
<script src="chrome://resources/js/cr/ui/tabs.js"></script>
<script src="chrome://resources/js/cr/ui/tree.js"></script>
<script src="chrome://resources/js/util.js"></script>
<script src="chrome_sync.js"></script>
<script src="about.js"></script>
<script src="events.js"></script>
<script src="sync_log.js"></script>
<script src="sync_node_browser.js"></script>
<script src="sync_search.js"></script>
<script src="user_events.js"></script>
<script src="traffic_log.js"></script>
<script src="strings.js"></script>
<script src="invalidations.js"></script>
</head>
<body>

<style>
#sync-page {
  /* TODO(akalin): Figure out a better way to make the tab box the
     same height no matter which tab is selected. */
  min-height: 650px;
}
[hidden] {
  /* This allows us to hide tabs by adding and removing hidden attribute. */
  display: none !important;
}
</style>

<tabbox id="sync-page">
  <tabs>
    <tab id="sync-about-tab">About</tab>
    <tab id="sync-data-tab">Data</tab>
    <tab id="sync-events-tab">Events</tab>
    <tab id="sync-browser-tab">Sync Node Browser</tab>
    <tab id="sync-search-tab">Search</tab>
    <tab id="sync-user-events-tab" hidden>User Events</tab>
    <tab id="sync-traffic-log-tab">Traffic Log</tab>
    <tab id="sync-invalidations-tab">Invalidations</tab>
  </tabs>
  <tabpanels>
    <tabpanel>
      <include src="about.html">
    </tabpanel>
    <tabpanel>
      <include src="data.html">
    </tabpanel>
    <tabpanel>
      <include src="events.html">
    </tabpanel>
    <tabpanel>
      <include src="node_browser.html">
    </tabpanel>
    <tabpanel>
      <include src="search.html">
    </tabpanel>
    <tabpanel>
      <include src="user_events.html">
    </tabpanel>
    <tabpanel>
      <include src="traffic_log.html">
    </tabpanel>
    <tabpanel>
      <include src="invalidations.html">
    </tabpanel>
  </tabpanels>
</tabbox>

<script src="chrome://resources/js/jstemplate_compiled.js"></script>
<script src="sync_index.js"></script>
</body>
</html>
